module.exports = {
  objects: {'tanks': {'tank1': {'id': 'tank1', 'velocity': 3, 'left': 23, 'top': 42, 'position': '(23, 42)'}, 'tank2': {'id': 'tank2', 'velocity': 2, 'left': 14, 'top': 101, 'position': '(14, 101)'}}, 'types': {'position': {'id': 'position', 'level': 0}, 'velocity': {'id': 'number', 'level': 0}}},
  queries: [
    {
      query: 'create a tank move it to building1 create a building move tank1 to it',
      generated: ['create 1 tank', 'move tank1 to building1', 'create 1 building', 'move tank1 to building1'],
      results: [{"language": "english", "action": "create", "marker": "create", "klass": {"language": "english", "marker": "tankConcept", "word": "tank", "number": 1}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "marker": "tankConcept", "word": "tank1", "types": ["tankConcept"], "id": "tank1id"}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}, {"language": "english", "action": "create", "marker": "create", "klass": {"language": "english", "marker": "buildingConcept", "word": "building", "number": 1}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "marker": "buildingConcept", "word": "building1", "types": [{"marker": "or", "value": ["buildingConcept", "tankConcept"]}], "id": "building1id"}}]
    },
    {
      query: 'create a tank move it to building1',
      generated: ['create 1 tank', 'move tank1 to building1'],
      results: [{"language": "english", "action": "create", "marker": "create", "klass": {"language": "english", "marker": "tankConcept", "word": "tank", "number": 1}}, {"language": "english", "action": "move", "marker": "move", "thing": {"id": "tank1id", "language": "english", "marker": "tankConcept", "word": "tank1", "types": ["tankConcept"]}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}]
    },
    {
      query: 'what is the speed of tank1 and tank2',
      generated: ['the velocity of tank1 is 3', 'the velocity of tank2 is 2'],
      results: [{"language": "english", "isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"language": "english", "value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true}], "marker": "equal", "word": "is"}, {"language": "english", "isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"language": "english", "value": 2, "marker": "number", "propertyName": "velocity", "object": "tank2", "isProperty": true}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'what is 1 + 1 + 1 and 20 + 30',
      generated: ['3', '50'],
      results: [{"isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 3, "types": ["number"]}], "marker": "equal", "word": "is"}, {"isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 50}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'move tank1 and tank2 to building2 and tank3 and tank4 to building3',
      generated: ['move tank1 to building2', 'move tank2 to building2', 'move tank3 to building3', 'move tank4 to building3'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "building2", "marker": "buildingConcept", "word": "building2", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"language": "english", "id": "building2", "marker": "buildingConcept", "word": "building2", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank3", "marker": "tankConcept", "word": "tank3"}, "place": {"language": "english", "id": "building3", "marker": "buildingConcept", "word": "building3", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank4", "marker": "tankConcept", "word": "tank4"}, "place": {"language": "english", "id": "building3", "marker": "buildingConcept", "word": "building3", "types": ["buildingConcept"]}}]
    },
    {
      query: 'move tank1 to building1 deplacez char1 vers char2',
      generated: ['move tank1 to building1', 'deplacez char1 vers char2'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}, {"language": "french", "action": "move", "marker": "move", "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"language": "french", "id": "tank2", "marker": "tankConcept", "word": "char2"}}]
    },
    {
      query: 'move tank1 to building2 tank2 to building1 and tank3 to building3',
      generated: ['move tank1 to building2', 'move tank2 to building1', 'move tank3 to building3'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "building2", "marker": "buildingConcept", "word": "building2", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank3", "marker": "tankConcept", "word": "tank3"}, "place": {"language": "english", "id": "building3", "marker": "buildingConcept", "word": "building3", "types": ["buildingConcept"]}}]
    },
    {
      query: 'create 4 tanks',
      generated: ['create 4 tanks'],
      results: [{"language": "english", "action": "create", "marker": "create", "klass": {"language": "english", "value": 4, "marker": "tankConcept", "word": "tanks", "number": 4, "types": ["tankConcept"]}}]
    },
    {
      query: 'move all the tanks to building3',
      generated: ['move all tanks to building3'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "marker": "tankConcept", "word": "tanks", "types": ["tankConcept"], "concept": true, "number": "all"}, "place": {"language": "english", "id": "building3", "marker": "buildingConcept", "word": "building3", "types": ["buildingConcept"]}}]
    },
    {
      query: 'move all tanks to building3',
      generated: ['move all tanks to building3'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "marker": "tankConcept", "word": "tanks", "types": ["tankConcept"], "number": "all"}, "place": {"language": "english", "id": "building3", "marker": "buildingConcept", "word": "building3", "types": ["buildingConcept"]}}]
    },
    {
      query: 'move tank1 to tank2',
      generated: ['move tank1 to tank2'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2", "types": ["tankConcept"]}}]
    },
    {
      query: 'quel est 1 + 1',
      generated: ['2'],
      results: [{"isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 2, "types": ["number"]}], "marker": "equal", "word": "est"}]
    },
    {
      query: 'what is 1 + 1',
      generated: ['2'],
      results: [{"isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 2, "types": ["number"]}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'quelle est la position de char1',
      generated: ['la position de tank1 est (23, 42)'],
      results: [{"language": "french", "gender": "f", "isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"language": "french", "gender": "f", "value": "(23, 42)", "marker": "position", "propertyName": "position", "object": "tank1", "isProperty": true, "types": ["position"]}], "marker": "equal", "word": "est"}]
    },
    {
      query: 'quelle est la vitesse de char1',
      generated: ['la velocity de tank1 est 3'],
      results: [{"language": "french", "gender": "f", "isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"language": "french", "gender": "f", "value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true, "types": ["number"]}], "marker": "equal", "word": "est"}]
    },
    {
      query: 'what is the position of tank1',
      generated: ['the position of tank1 is (23, 42)'],
      results: [{"language": "english", "isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"language": "english", "value": "(23, 42)", "marker": "position", "propertyName": "position", "object": "tank1", "isProperty": true, "types": ["position"]}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'what is the speed of tank1',
      generated: ['the velocity of tank1 is 3'],
      results: [{"language": "english", "isQuery": true, "objects": [{"marker": "query", "isQuery": true}, {"language": "english", "value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true, "types": ["number"]}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'deplacez char1 et char2 vers batiment1',
      generated: ['deplacez char1 vers batiment1', 'deplacez char2 vers batiment1'],
      results: [{"language": "french", "action": "move", "marker": "move", "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"language": "french", "id": "building1", "marker": "buildingConcept", "word": "batiment1"}}, {"language": "french", "action": "move", "marker": "move", "thing": {"language": "french", "id": "tank2", "marker": "tankConcept", "word": "char2"}, "place": {"language": "french", "id": "building1", "marker": "buildingConcept", "word": "batiment1"}}]
    },
    {
      query: 'move tank1 and tank2 to building2',
      generated: ['move tank1 to building2', 'move tank2 to building2'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "building2", "marker": "buildingConcept", "word": "building2", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"language": "english", "id": "building2", "marker": "buildingConcept", "word": "building2", "types": ["buildingConcept"]}}]
    },
    {
      query: 'create a tank',
      generated: ['create 1 tank'],
      results: [{"language": "english", "action": "create", "klass": {"language": "english", "marker": "tankConcept", "word": "tank", "number": 1}, "marker": "create"}]
    },
    {
      query: 'create a building',
      generated: ['create 1 building'],
      results: [{"language": "english", "action": "create", "klass": {"language": "english", "marker": "buildingConcept", "word": "building", "number": 1}, "marker": "create"}]
    },
    {
      query: 'destroy tank1',
      generated: ['destroy tank1'],
      results: [{"language": "english", "action": "destroy", "marker": "destroy", "name": {"language": "english", "id": "tank1", "word": "tank1", "marker": "tankConcept", "types": ["tankConcept"]}}]
    },
    {
      query: 'move tank1 to tank2',
      generated: ['move tank1 to tank2'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2", "types": ["tankConcept"]}}]
    },
    {
      query: 'move tank1 and tank2 to building1',
      generated: ['move tank1 to building1', 'move tank2 to building1'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}]
    },
    {
      query: 'deplacez char1 vers char2',
      generated: ['deplacez char1 vers char2'],
      results: [{"language": "french", "action": "move", "marker": "move", "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"language": "french", "id": "tank2", "marker": "tankConcept", "word": "char2"}}]
    },
    {
      query: 'move tank1 to building1',
      generated: ['move tank1 to building1'],
      results: [{"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1", "types": ["buildingConcept"]}}]
    },
    {
      query: 'deplacez char1 vers batiment1',
      generated: ['deplacez char1 vers batiment1'],
      results: [{"language": "french", "action": "move", "marker": "move", "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"language": "french", "id": "building1", "marker": "buildingConcept", "word": "batiment1"}}]
    },
    {
      query: 'deplacez char1 vers batiment1 move tank1 to tank2',
      generated: ['deplacez char1 vers batiment1', 'move tank1 to tank2'],
      results: [{"language": "french", "action": "move", "marker": "move", "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"language": "french", "id": "building1", "marker": "buildingConcept", "word": "batiment1"}}, {"language": "english", "action": "move", "marker": "move", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"language": "english", "id": "tank2", "marker": "tankConcept", "word": "tank2", "types": ["tankConcept"]}}]
    },
    {
      query: 'call tank1 commander',
      generated: ['call tank1 commander'],
      results: [{"language": "english", "marker": "alias", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}, "name": {"marker": "commander"}}]
    },
    {
      query: 'appellez char1 commandeur',
      generated: ['appellez char1 commandeur'],
      results: [{"language": "french", "marker": "alias", "name": {"marker": "commandeur"}, "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}}]
    },
    {
      query: 'call building1 cia',
      generated: ['call building1 CIA'],
      results: [{"language": "english", "marker": "alias", "name": {"marker": "cia"}, "thing": {"language": "english", "id": "building1", "marker": "buildingConcept", "word": "building1"}}]
    },
    {
      query: 'appellez batiment1 cia',
      generated: ['appellez batiment1 CIA'],
      results: [{"language": "french", "marker": "alias", "thing": {"language": "french", "id": "building1", "marker": "buildingConcept", "word": "batiment1"}, "name": {"marker": "cia"}}]
    },
    {
      query: 'move commander to cia',
      generated: ['move commander to CIA'],
      results: [{"action": "move", "marker": "move", "thing": {"marker": "commander"}, "place": {"marker": "cia"}}]
    },
    {
      query: 'deplacez commandeur vers cia',
      generated: ['deplacez commandeur vers CIA'],
      results: [{"language": "french", "action": "move", "marker": "move", "thing": {"marker": "commandeur"}, "place": {"marker": "cia"}}]
    },
    {
      query: 'stop tank1',
      generated: ['stop tank1'],
      results: [{"language": "english", "action": "stop", "marker": "stop", "thing": {"language": "english", "id": "tank1", "marker": "tankConcept", "word": "tank1"}}]
    },
    {
      query: 'arreter char1',
      generated: ['stop char1'],
      results: [{"language": "french", "action": "stop", "marker": "stop", "thing": {"language": "french", "id": "tank1", "marker": "tankConcept", "word": "char1"}}]
    },
    {
      query: 'destroy all the buildings',
      generated: ['destroy all buildings'],
      results: [{"action": "destroy", "marker": "destroy", "name": {"marker": "buildingConcept", "word": "buildings", "types": ["buildingConcept"], "concept": true, "number": "all"}}]
    },
    {
      query: 'stop all the tanks',
      generated: ['stop all tanks'],
      results: [{"language": "english", "action": "stop", "marker": "stop", "thing": {"language": "english", "marker": "tankConcept", "word": "tanks", "types": ["tankConcept"], "concept": true, "number": "all"}}]
    },
    {
      query: 'destroy all the tanks',
      generated: ['destroy all tanks'],
      results: [{"language": "english", "action": "destroy", "marker": "destroy", "name": {"language": "english", "marker": "tankConcept", "word": "tanks", "types": ["tankConcept"], "concept": true, "number": "all"}}]
    },
    {
      query: 'joe earns 10 dollars every week sally earns 25 dollars per week sally worked 10 weeks joe worked 15 weeks joe earns what sally earns what',
      generated: ['joe earns 10 dollars per week', 'sally earns 25 dollars per week', 'sally worked 10 weeks', 'joe worked 15 weeks', 'joe earned 150 dollars', 'sally earned 250 dollars'],
      results: [{"language": "english", "marker": "earn", "units": "dollars", "amount": 10, "who": "joe", "period": "week"}, {"language": "english", "marker": "earn", "units": "dollars", "amount": 25, "who": "sally", "period": "week"}, {"marker": "worked", "who": "sally", "duration": 10, "units": "week"}, {"marker": "worked", "who": "joe", "duration": 15, "units": "week"}, {"isQuery": true, "marker": "response", "units": "dollars", "amount": null, "who": "joe", "period": null, "earnings": 150}, {"isQuery": true, "marker": "response", "units": "dollars", "amount": null, "who": "sally", "period": null, "earnings": 250}]
    },
    {
      query: 'i want 2 fries and a cheeseburger from mcdonalds',
      generated: ['order for 2 fries from McDonalds', 'order for 1 cheeseburger from McDonalds'],
      results: [{"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"value": 2, "marker": "food", "word": "fries", "name": "fries", "types": ["food"], "number": 2}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}, {"language": "english", "marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"language": "english", "name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}]
    },
    {
      query: 'i want a cheeseburger and fries from whitespot',
      generated: ['order for 1 cheeseburger from Whitespot', 'order for fries from Whitespot'],
      results: [{"language": "english", "marker": "wantWhitespot", "word": "want", "action": "order", "items": {"language": "english", "name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, "store": {"marker": "whitespot", "word": "whitespot"}}, {"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "whitespot", "word": "whitespot"}}]
    },
    {
      query: '3 cheeseburgers and 2 fries',
      generated: ['3 cheeseburger', '2 fries'],
      results: [{"value": 3, "marker": "food", "word": "cheeseburgers", "name": "cheeseburger", "types": ["food"], "number": 3}, {"value": 2, "marker": "food", "word": "fries", "name": "fries", "types": ["food"], "number": 2}]
    },
    {
      query: '2 fries and a cheeseburger',
      generated: ['2 fries', '1 cheeseburger'],
      results: [{"value": 2, "marker": "food", "word": "fries", "name": "fries", "types": ["food"], "number": 2}, {"language": "english", "name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}]
    },
    {
      query: 'a cheeseburger and fries',
      generated: ['1 cheeseburger', 'fries'],
      results: [{"language": "english", "name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, {"name": "fries", "marker": "food", "word": "fries"}]
    },
    {
      query: 'a cheeseburger',
      generated: ['1 cheeseburger'],
      results: [{"language": "english", "marker": "food", "name": "cheeseburger", "word": "cheeseburger", "number": 1}]
    },
    {
      query: '1 cheeseburger',
      generated: ['1 cheeseburger'],
      results: [{"value": 1, "marker": "food", "word": "cheeseburger", "name": "cheeseburger", "types": ["food"], "number": 1}]
    },
    {
      query: 'i want fries and a cheeseburger from mcdonalds',
      generated: ['order for fries from McDonalds', 'order for 1 cheeseburger from McDonalds'],
      results: [{"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}, {"language": "english", "marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"language": "english", "name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}]
    },
    {
      query: 'i want fries from mcdonalds',
      generated: ['order for fries from McDonalds'],
      results: [{"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}]
    },
    {
      query: 'i want cheeseburger and fries from whitespot',
      generated: ['order for cheeseburger from Whitespot', 'order for fries from Whitespot'],
      results: [{"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "cheeseburger", "marker": "food", "word": "cheeseburger"}, "store": {"marker": "whitespot", "word": "whitespot"}}, {"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "whitespot", "word": "whitespot"}}]
    },
  ]
};